AlertWindow

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.miscellaneous.client
Class AlertWindow

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.miscellaneous.client.IconifableWindow
                          org.openswing.swing.miscellaneous.client.AlertWindow

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class AlertWindow
extends IconifableWindow

Title: OpenSwing Framework

Description: this class inherits from IconifableWidėndow, so it allows to show an iconifable window, i.e. a window that can contains any kind of graphics component within it, since it inherits from JPanel. As default behavior, it is composed of a top panel and a main panel: - top panel may contain: an optional title icon, a title (showed in bold style) and two buttons: a "reduce to icon" button and a "close" button, both can be hidden - main panel is this, i.e. any content manually added to this is showed inside this main panel. Window can be reduced to icon by pressing the "reduce to icon" button or by double clicking inside the top panel (if no "reduce to icon" button is visible). Window can be closed by pressing the "close" button or by clicking inside the main panel (if no "close" button is visible). As default settings, this panel has a dimension of 300 x 150 pixels. Window location can be defined in several ways: - using absolute location, by using this.setLocation method - by anchoring the window to the TOP/BOTTOM/INSIDE_BOTTOM/INSIDE_TOP of another component, through setAnchorWindow() method.

Several events fired by this window can be listened, through the method: addIconifableWindowListener.

As default behavior, the main panel contains two optional graphics components: - an icon, anchored to the left margin of the window - a multi-line text Alert window will be automatically showed when invoking "showWindow" method. It can be showed also after a while, or hide after a while; it supports fade in/out too.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class org.openswing.swing.miscellaneous.client.IconifableWindow
`BOTTOM, INSIDE_BOTTOM, INSIDE_TOP, TOP`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AlertWindow()`

Method Summary
`long` | `getFadeInTime()`
`long` | `getFadeOutTime()`
`java.lang.String` | `getImageName()`
`java.lang.String` | `getMainText()`
`long` | `getTimeout()`
`boolean` | `isReduceToIconOnTimeout()`
`void` | `setFadeInTime(long fadeInTime)` Set the fade in time in milliseconds; minimum value: 50; 0 means no fade in effect.
`void` | `setFadeOutTime(long fadeOutTime)` Set the fade out time in milliseconds; minimum value: 50; 0 means no fade out effect.
`void` | `setImageName(java.lang.String imageName)` Set the image name (optional).
`void` | `setMainText(java.lang.String body)` Set the multi-line text to show inside this panel.
`void` | `setReduceToIconOnTimeout(boolean reduceToIconOnTimeout)` Define if the window must be closed (false) or only reduce to icon (true), when the timeout has been rised.
`void` | `setTimeout(long timeout)` Set the wait time before automatically closing window; 0 means do not close window.

Methods inherited from class org.openswing.swing.miscellaneous.client.IconifableWindow
`addIconifableWindowListener, anchorWindow, getConstraint, getIconHeight, getTitle, getTitleImageName, getTopPanelBackground, getWindow, getWindowMaximumSize, hideWindow, isAllowsCloseWindow, isShowCloseButton, isShowReduceToIconButton, reduceToIcon, removeIconifableWindowListener, restoreWindow, setAllowsCloseWindow, setIconHeight, setShowCloseButton, setShowReduceToIconButton, setTitle, setTitleImageName, setTopPanelBackground, setWindowMaximumSize, showWindow`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertWindow

    public AlertWindow()

Method Detail

### getFadeInTime

    public final long getFadeInTime()

  Returns:
    fade in time in milliseconds; 0 means no fade in effect

### setFadeInTime

    public final void setFadeInTime(long fadeInTime)

  Set the fade in time in milliseconds; minimum value: 50; 0 means no fade in effect.

  Parameters:
    `fadeInTime` - fade in time in milliseconds; 0 means no fade in effect

### getTimeout

    public final long getTimeout()

  Returns:
    wait time before automatically closing window; 0 means do not close window1

### setTimeout

    public final void setTimeout(long timeout)

  Set the wait time before automatically closing window; 0 means do not close window.

  Parameters:
    `timeout` - wait time before automatically closing window; 0 means do not close window

### getFadeOutTime

    public final long getFadeOutTime()

  Returns:
    fade out time in milliseconds; 0 means no fade out effect

### setFadeOutTime

    public final void setFadeOutTime(long fadeOutTime)

  Set the fade out time in milliseconds; minimum value: 50; 0 means no fade out effect.

  Parameters:
    `fadeOutTime` - fade out time in milliseconds; 0 means no fade out effect

### setMainText

    public final void setMainText(java.lang.String body)

  Set the multi-line text to show inside this panel.

  Parameters:
    `body` - multi-line text to show inside this panel; it will be translated, according to language settings

### getMainText

    public final java.lang.String getMainText()

  Returns:
    body multi-line text to show inside this panel

### getImageName

    public final java.lang.String getImageName()

  Returns:
    image name (optional)

### setImageName

    public final void setImageName(java.lang.String imageName)

  Set the image name (optional).

  Parameters:
    `imageName` - image name

### isReduceToIconOnTimeout

    public final boolean isReduceToIconOnTimeout()

  Returns:
    define if the window must be closed (false) or only reduce to icon (true), when the timeout has been rised

### setReduceToIconOnTimeout

    public final void setReduceToIconOnTimeout(boolean reduceToIconOnTimeout)

  Define if the window must be closed (false) or only reduce to icon (true), when the timeout has been rised.

  Parameters:
    `reduceToIconOnTimeout` - define if the window must be closed (false) or only reduce to icon (true), when the timeout has been rised

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD